How do I install PHP 7.3.7 on Debian 9

Discussion in 'Installation/Configuration' started by Kemp, Jul 17, 2019.

  1. Kemp

    Kemp New Member

    Hi,

    How do I install latest version of PHP 7.3.7 on Debian 9 for ISPConfig 3.1.14p1?

    Thank you!
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

  3. Kemp

    Kemp New Member

    Is ISPConfig compatible with PHP v7.3.7?

    It seems to be not working.

    Thank you!
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, ISPConfig is compatible. But you should not change the default PHP version of the oS as other software might fail. The guide that I posted the link to install PHP 7.x as additional PHP versions so that you can use it in the website while keeping the original PHP as system PHP.
     
  5. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    What show commands
    Code:
    update-alternatives --config php
    update-alternatives --config php-cgi
     
  6. Kemp

    Kemp New Member

    I am trying to use phpMyAdmin v5.0 and that requires the latest version of PHP, but if switch the default 7.0 PHP version to 7.3 to make phpMyAdmin v5.0 work then ISPConfig stops working.

    I think I will have to wait until ISPConfig and other software is fully compatible with latest version of PHP in order to be able to switch the server default PHP version.

    Thank you!
     
  7. ahrasis

    ahrasis Well-Known Member

    PMA v5.0 is still alpha and I dont think that it is safe to be used for now.

    You also do not need to change default php to 7.3 to use PMA with php7.3, you just need to set the vhost for PMA to use php7.3.
     

Share This Page